Skip to main content
POST
https://enterprise.spacemedia.uk
/
api
/
v1
/
addons
/
{slug}
/
checkout
Create Add-On Checkout
curl --request POST \
  --url https://enterprise.spacemedia.uk/api/v1/addons/{slug}/checkout \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "version": "1.0.0",
  "cycle": "lifetime",
  "gateway": "airwallex"
}
'
{
  "success": true,
  "message": "Checkout created.",
  "data": {
    "payment_intent_id": "b2abec7d-3098-43fa-9d2f-2d0ffb2b9c52",
    "status": "pending",
    "checkout_mode": "airwallex",
    "client_secret": "<AIRWALLEX_CLIENT_SECRET>",
    "amount": 49,
    "currency": "GBP"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.spacemedia.uk/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept
string

Use application/json for API responses.

Authorization
string

Bearer access token. Use Bearer <YOUR_ACCESS_TOKEN>.

Path Parameters

slug
string
required

Route identifier for slug.

Body

application/json

The body is of type object.

Response

Success

The response is of type object.